<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerContractName](./bitburner.bladeburnercontractname.md)

## BladeburnerContractName type


**Signature:**

```typescript
type BladeburnerContractName = _ValueOf<BladeburnerContractNameEnumType>;
```
**References:** [\_ValueOf](./bitburner._valueof.md)<!-- -->, [BladeburnerContractNameEnumType](./bitburner.bladeburnercontractnameenumtype.md)

